linknx (0.0.1.38~bpo11+1) bullseye-backports; urgency=medium

  [ Andreas Frisch ]
  * Implement DPT 251.600 for RGBW LED Controllers
  * Configure CppUnit correctly
  * ObjectTest: whitespace cleanup
  * ObjectTest: Add Tests for RGBW DPT
  * autotools: Remove generated autotools files

  [ Othmar Truniger ]
  * fix periodic task calculation over DST switch

  [ Cyrille Defranoux ]
  * Added a test to exercise the next month's occurrence of a specific
    day of month with a DST switch in-between.
  * Added a test for leap years.
  * Added tests for PeriodicTask. Do not pass.
  * Clarified new tests.
  * Added a few tests for PeriodicTask's scheduling and fixed a bug in
    resolving time spec with year. Some tests were added to check for the
    current behavior, even though they may represent odd behavior. For
    instance, next February 29 after 2016 (which was a leap year) matches
    March 01, 2017. One could have expected February 29, 2020 instead but
    this is the behavior which has been in place for a long time and it
    seems to late to change it.
  * WIP.
  * Added a unit test exercising sunrise time spec.
  * Reworked things again to account for solar time specs. TimeSpec now
    exposes day and time separately, so that it is possible to determine
    time based on the chosen day. This had a few bad consequences on the
    rest of the logic which I had to modify. A single test does not pass:
    PeriodicTaskTest::testFindNextHourAndMonthLastDay  because we find
    March, 3rd after translating February, 31st.
  * Fixed a few bugs, especially for day of month = 31 or February
    29. Fixed also issues caused by TimeSpec values outside of the natural
    range ([1; 31] for day of month, for instance) by mapping the value
    to this natural range. That gets rid of negative values as early as
    possible in the process.
  * Determined the exact year in a unit test. Don't know why this was a
    'greater than' comparison in the first place.
  * Changed behavior in leap days search. If 02/29 is the day to find, do
    not allow one to pick 03/01 in a standard year. Move to the next
    leap year.
  * Changed behavior when searching 02:00 AM during a DST switch in
    spring. The new implementation does its best to match the exact time
    specification. 02:00 AM does not exist on Sundays when DST switch
    occurs in spring, so it looks quite sensible to move to next day. The
    previous implementation was choosing 03:00 AM instead, which could lead
    to problems as well (if a rule is set to execute at 03:00 AM with the
    hope it runs one hour after another set to execute at 02:00 AM).
  * Simplified a test. I don't really understand what the initial
    intent was but it does not work anymore since searching for the next
    occurrence of 02:30 AM does not more map to 03:00 AM when switching
    to DST in spring. The next Monday at 02:30 AM is found instead, which
    looks more consistent with the time spec.
  * Fix build (mistake when rebasing on master).
  * Fixed tests to have sensible expectations regarding out-of-bounds
    constraints.
  * Implements a new specification about TimeSpec. The previous
    implementation was too messy to be manageable. The main change
    consists in finding a periodic task's next occurrence without taking
    the optional offset into account. That allows one to reject time
    specs that are out of natural bounds (such as April, 31st) and
    greatly simplifies the code. The offset is then applied on the found
    occurrence without making any further check. Added TimeSpec::isValid()
    to check whether the time spec complies with this new rule. A test
    was added.
  * Simplified TimeSpec::getDay/getTime. Removed the now unnecessary raw
    version, since there is no remap required anymore (time specs should
    now be within the natural bounds).
  * Fixed findNext with negative offset. The negative offset was making
    findNext find the same occurrence over and over. This is because the
    next occurrence of the time spec without offset is always the same as
    the one that led to the current occurrence.
  * Added a test for sunrise on a specific day. Two goals: checking that
    setting the date does work as expected on this type of spec and check
    that no other occurrence is found after the unique expected one.
  * Ensures time specs are valid when loading config. An exception
    is raised if they are not, the same way other configuration checks
    are done.
  * Updated version to 0.0.1.37 to prepare new release.
  * Updated readme for 0.0.1.37
  * Fixed language error in readme.

  [ Fabrice Fontaine ]
  * Link with libiconv if needed
  * configure.ac: always define CPPUNIT
  * configure.ac: tweak CPPUNIT conditional

  [ Cyrille Defranoux ]
  * Add build with GCC 8

  [ Rosen Penev ]
  * Use AM_ICONV for properly supporting libiconv
  * add garbage config.rpath file to get rid of autoconf bug
  * Remove travis g++ 4.9 build

  [ Cyrille Defranoux ]
  * Add a test reproducing issue #47
  * Fix warning
  * Naive fix for #47 The resolution could be done every time, without
    checking if solarTime is a date in the past or not. Could be worth
    implementing a resolve() method that raises an error if resolution
    failed.
  * Fix indenting issues Caused by a mix of tabs and spaces.
  * Fix indenting issues
  * Documented fix
  * Create release 0.0.1.38

  [ Fabrice Fontaine ]
  * src/Makefile.am: fix linking with log4cpp

  [ Cyrille Defranoux ]
  * Add GCC 9.3 to the build matrix

  [ Cyrille ]
  * First implementation of the github workflow
  * Fix configure working dir
  * Bootstrap build system
  * Install dependency packages before building
  * Run ldconfig after installing pthsem
  * Upload test log on failure
  * Force timezone to CET for tests
  * Install with admin rights

  [ Othmar Truniger ]
  * fix cdefs.h for cross compile

  [ Cyrille ]
  * Update README.md

  [ Cyrille Defranoux ]
  * Reworked the way logged value is passed to persistent storage Instead
    of giving it the formatted string, pass it the full object value so
    that it can build the value that fits its need.
  * Update build systems URL to pthsem has slightly changed.
  * Use pthsem clone we made a while ago The SSL certificates for tuwien
    is not recognized as issued by a trusted vendor by wget. Let's take
    the copy we have in github, then.
  * Fix github workflow again and travis For travis, do a quick and
    dirty fix for now, as Travis will be soon decommissioned.
  * Add build matrix to use different versions of gcc
  * Install g++ before building
  * Decommission Travis CI build This build is now useless since it has
    been replaced with Github Actions
  * Attempt to add libcurl to the build matrix
  * Fix package name for libcurl Temporarily disable multiple versions
    of gcc in build matrix to speed up testing.
  * Update package name for libcurl The dev package is required for the
    build, of course!
  * Reactivate multiple gcc versions

  [ 2franix ]
  * Build matrix: zero or all options
  * Remove attempt to customize job name

  [ Cyrille ]
  * Update README.md
  * Update README.md
  * Update README.md
  * Update README.md

  [ 2franix ]
  * Added JsonCPP and make all dependency independent This is to make sure
    the code builds whatever the combination of optional dependencies is.
  * Moved pthsem to a dedicated job The goal is to avoid rebuilding
    pthsem for every configuration of the build matrix.
  * Fix detection of pthsem version
  * Disable shared lib for pthsem This will hopefully help passing the
    pth test for linknx
  * Attempt to declare the build matrix case by case
  * Finalize build matrix For linknx, limit the number of jobs and focus
    on what is really helpful, that is: - build latest version of gcc,
    full deps, tests - test no deps at all with latest gcc - test any
    other useful combination of deps, still with latest gcc - build full
    deps with previous version of gcc. No tests.
  * Improved workflow readability
  * Rename build for LinKNX
  * Add logos
  * Simplify logo filenames

  [ Cyrille ]
  * Update README.md
  * Update README.md

  [ 2franix ]
  * Add two small versions of the logo

  [ Cyrille ]
  * Update README.md
  * Update README.md

  [ 2franix ]
  * Move logo to the wiki
  * Removed icons

  [ Cyrille ]
  * Update README.md

  [ Andreas Frisch ]
  * Implement InfluxDB support (#51)

  [ 2franix ]
  * Allow one to run the worflow manually
  * Install MariaDB MySQL compatibility package This is necessary to
    resolve mysql/mysql.h properly.
  * Run workflow at midnight every Saturday
  * Remove mysql client to avoid detecting Mysql by default
  * Upgrade to g++ 10

  [ Cyrille ]
  * Add apt update to maybe fix build

  [ Othmar Truniger ]
  * update configure.ac to deal with new libesmtp release
  * add comments to configure.ac

  [ Marc Leeman ]
  * git: ignore *~
  * debian: compat 13
  * debian: merge preinst/postinst
  * debian: lintian-overrides fixed

 -- Marc Leeman <m.leeman@televic.com>  Wed, 20 Apr 2022 12:41:39 +0200

linknx (0.0.1.37~bpo10+1) buster-backports; urgency=medium

  * Debian buster port

 -- Marc Leeman <m.leeman@televic.com>  Fri, 15 Jan 2021 09:16:20 +0100

linknx (0.0.1.37~debian9+2) unstable; urgency=medium

  * linknx: add user in preinst
  * linknx: add service file
  * debian: remove linknx.init.d duplicate file

 -- Marc Leeman <marc.leeman@barco.com>  Wed, 11 Jul 2018 10:56:10 +0200

linknx (0.0.1.37~debian9+1) unstable; urgency=low

  * New upstream release

 -- Marc Leeman <marc.leeman@barco.com>  Wed, 07 Mar 2018 13:10:36 +0100

linknx (0.0.1.30-1) unstable; urgency=low

  * New upstream release

 -- Marc Leeman <marc.leeman@gmail.com>  Mon, 04 Jun 2012 22:19:03 +0200

linknx (0.0.1.28-3) unstable; urgency=low

  * Update for squeeze
  * revert dependency to libmysqlclient-dev

 -- Marc Leeman <marc.leeman@gmail.com>  Tue, 06 Dec 2011 13:43:09 +0100

linknx (0.0.1.28-2) unstable; urgency=low

  * Update house.xml with complexer rules
  * Add build dependency libmysqlclient15-dev instead of libmysqlclient-dev

 -- Marc Leeman <marc.leeman@gmail.com>  Tue, 06 Dec 2011 11:26:38 +0100

linknx (0.0.1.28-1) unstable; urgency=low

  * New upstream release

 -- Marc Leeman <marc.leeman@gmail.com>  Mon, 18 Apr 2011 10:41:35 +0200

linknx (0.0.1.27-5) unstable; urgency=low

  * Squeeze update: remove libmysqlclient15off-dev from build dependencies
    and replace with libmysqlclient-dev
  * update rekkem configuration to listen to all-off

 -- Marc Leeman <marc.leeman@gmail.com>  Tue, 29 Mar 2011 07:48:44 +0200

linknx (0.0.1.27-4) unstable; urgency=low

  * add rekkem.xml as another example file in /etc/linknx

 -- Marc Leeman <marc.leeman@gmail.com>  Sun, 05 Sep 2010 21:26:26 +0200

linknx (0.0.1.27-3) unstable; urgency=low

  * fix examples in house.xml code to include stateless objects

 -- Marc Leeman <marc.leeman@gmail.com>  Tue, 13 Apr 2010 12:38:59 +0200

linknx (0.0.1.27-2) unstable; urgency=low

  * make house.xml a config file
  * elaborate on house.xml rules
  * update listeners for example house.xml

 -- Marc Leeman <marc.leeman@gmail.com>  Thu, 01 Apr 2010 15:41:53 +0200

linknx (0.0.1.27-1) unstable; urgency=low

  * New upstream release
  * Add dependency to pthsem-dev | libpthsem-dev; rename in newer versions of
    pthsem (2.0.8)

 -- Marc Leeman <marc.leeman@gmail.com>  Fri, 05 Mar 2010 11:04:02 +0100

linknx (0.0.1.26-8) unstable; urgency=low

  * Include feedback from Steffen M�lle

 -- Marc Leeman <marc.leeman@gmail.com>  Sun, 17 Jan 2010 21:46:45 +0100

linknx (0.0.1.26-7) unstable; urgency=low

  * update configuration file house.xml

 -- Marc Leeman <marc.leeman@gmail.com>  Thu, 03 Dec 2009 14:03:52 +0100

linknx (0.0.1.26-6) unstable; urgency=low

  * fix a number of example config file errors

 -- Marc Leeman <marc.leeman@gmail.com>  Tue, 10 Nov 2009 15:11:27 +0100

linknx (0.0.1.26-5) unstable; urgency=low

  * automatically start application
  * add correct dependencies to the start scripts

 -- Marc Leeman <marc.leeman@gmail.com>  Fri, 23 Oct 2009 13:48:48 +0200

linknx (0.0.1.26-4) unstable; urgency=low

  * add timermanager.patch
  * compile with mysql support
  * uncompress && install HTML docs

 -- Marc Leeman <marc.leeman@gmail.com>  Thu, 15 Oct 2009 10:53:13 +0200

linknx (0.0.1.26-3) unstable; urgency=low

  * run as user knx
  * do not start automatically
  * store logging/pids in /var/run/knx/

 -- Marc Leeman <marc.leeman@gmail.com>  Tue, 13 Oct 2009 10:59:28 +0200

linknx (0.0.1.26-2) unstable; urgency=low

  * updated house.xml
  * updated copyright with correct names

 -- Marc Leeman <marc.leeman@gmail.com>  Mon, 12 Oct 2009 15:44:17 +0200

linknx (0.0.1.26-1) unstable; urgency=low

  * Initial release

 -- Marc Leeman <marc.leeman@gmail.com>  Mon, 21 Sep 2009 11:17:15 +0200

